package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaContaBancariaDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaContaBancaria;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.EmpresaContaBancariaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaContaBancariaService")
public class EmpresaContaBancariaServiceImpl implements EmpresaContaBancariaService {
	
	@Autowired
    private EmpresaContaBancariaDAO empresaContaBancariaDAO;
	
	@Transactional
	public EmpresaContaBancaria suscribirActualizacion(EmpresaContaBancaria entidad) throws BusinessException {
		
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		if (entidad.getEmpresaContaBancariaId() == null) {
			
			entidad = empresaContaBancariaDAO.suscribir(entidad);
			
//			gerarMarca(entidad);
			
		} else {
			entidad = empresaContaBancariaDAO.actualizacion(entidad);
		}
		
		return entidad;
	}
	
}
